## org.gnu.glib
Class JGException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.gnu.glib.JGException

All Implemented Interfaces:
  java.io.Serializable

public class JGException
extends java.lang.Exception

Generic Exception in Java-GNOME. This exception wraps an org.gnu.glib.Error.

See Also:
  Serialized Form

Constructor Summary
`JGException(Error error)`

Method Summary
`Error` `getError()`
`void` `setError(Error error)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JGException

    public JGException(Error error)

Method Detail

### getError

    public Error getError()

  Returns:
    Returns the error.

### setError

    public void setError(Error error)

  Parameters:
    `error` - The error to set.